engine.h File Reference

Provides global routines for interfacing with the Regina calculation engine. More...

`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API const char * | regina::getVersionString ()
| Returns the full version number of this calculation engine. More...
REGINA_API int | regina::getVersionMajor ()
| Returns the major version number of this calculation engine. More...
REGINA_API int | regina::getVersionMinor ()
| Returns the minor version number of this calculation engine. More...
REGINA_API bool | regina::versionUsesUTF8 (const char *version)
| Did the given version of Regina consistently use UTF-8 in its data files? More...
REGINA_API int | regina::testEngine (int value)
| Tests to see if an interface can successfully communicate with the underlying C++ calculation engine. More...

## Detailed Description

Provides global routines for interfacing with the Regina calculation engine.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).